Bug 525211 - Review Request: rubygem-ditz - A command-line issue tracker
Summary: Review Request: rubygem-ditz - A command-line issue tracker
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 481502 (view as bug list)
Depends On: 525210
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-23 16:45 UTC by Jan Klepek
Modified: 2009-10-09 08:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-09 08:38:40 UTC
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Jan Klepek 2009-09-23 16:47:44 UTC
*** Bug 481502 has been marked as a duplicate of this bug. ***

Comment 2 Mamoru TASAKA 2009-09-24 09:13:08 UTC
Well, as I said in bug 525210, rubygem-trollop is under GPLv2.
However this (rubygem-ditz) is under GPLv3+, which is incompatible
with GPLv2, so for now this package cannot be distributed.

Note that even if rubygem-trollop is under "GPLv2 or Ruby", it is still
incompatible with GPLv3+.

https://fedoraproject.org/wiki/Licensing

Blocking FE-Legal

Comment 4 Mamoru TASAKA 2009-09-25 05:25:51 UTC
This is only saying that if a software containing scripts only
written by Ruby, licensed under BSD "require"s (in ruby's sense)
some other codes written by Ruby, licensed under GPLv2+, the license
tag is still okay with "BSD", for example. The compatibility
issue still remains.

Comment 5 Jan Klepek 2009-09-25 13:18:55 UTC
ok, if I contact upstream to provide explicit permission for linking/require to trollop library, would it fix this licensing issue?

Comment 6 Mamoru TASAKA 2009-09-25 13:42:20 UTC
(In reply to comment #5)
> ok, if I contact upstream to provide explicit permission for linking/require to
> trollop library, would it fix this licensing issue?  

In my knowledge, yes:
http://www.fsf.org/licensing/licenses/gpl-faq.html#GPLIncompatibleLibs
http://www.gnome.org/~markmc/openssl-and-the-gpl.html

Comment 7 Jan Klepek 2009-09-30 19:28:02 UTC
Spec URL: http://hpejakle.fedorapeople.org/packages/rubygem-ditz.spec
SRPM URL:
http://hpejakle.fedorapeople.org/packages/rubygem-ditz-0.5-2.fc11.src.rpm

there is added explicit permission for trollop library

"Additionally, this program may be linked to, distributed with, used with,
and/or loaded with the Ruby "Trollop" library."

(added http://gitorious.org/ditz/mainline/blobs/raw/master/README.txt into package)

Hope it fixes license issues and FE-LEGAL could be cancelled.

Comment 8 Mamoru TASAKA 2009-10-01 17:18:05 UTC
Okay, removing FE-Legal.

Comment 9 Mamoru TASAKA 2009-10-01 18:51:33 UTC
Some notes:

* Unneeded macros
  - The defined macro ruby_sitelib does not seem to be used anywhere.

* License
  - Please change the license tag to "GPLv3 with exceptions"

* Virtual (Build)Requires
  - For ruby(gem) modules related (Build)Requires, please don't use
    rpm names directly but use virtual Provides like perl:
    https://fedoraproject.org/wiki/Packaging/Perl#Perl_Requires_and_Provides

* Macros
  - Use macros properly. /usr/bin should be %{_bindir}.

* Duplicate files
  - "LICENSE README.txt" are installed twice (one under %geminstdir,
    one under %_defaultdocdir/%name-%version)

Comment 10 Jan Klepek 2009-10-03 15:02:21 UTC
(In reply to comment #9)
> Some notes:
> 
> * Unneeded macros
>   - The defined macro ruby_sitelib does not seem to be used anywhere.
> 
> * License
>   - Please change the license tag to "GPLv3 with exceptions"
> 
> * Virtual (Build)Requires
>   - For ruby(gem) modules related (Build)Requires, please don't use
>     rpm names directly but use virtual Provides like perl:
>     https://fedoraproject.org/wiki/Packaging/Perl#Perl_Requires_and_Provides
>
Fixed, however I never saw this in Ruby packaging guidelines. Is there any draft of new ruby guidelines which will cover this?
 
> * Macros
>   - Use macros properly. /usr/bin should be %{_bindir}.
> 
> * Duplicate files
>   - "LICENSE README.txt" are installed twice (one under %geminstdir,
>     one under %_defaultdocdir/%name-%version)  

Spec URL: http://hpejakle.fedorapeople.org/packages/rubygem-ditz.spec
SRPM URL:
http://hpejakle.fedorapeople.org/packages/rubygem-ditz-0.5-3.fc11.src.rpm

Comment 11 Mamoru TASAKA 2009-10-03 18:26:48 UTC
For -3:

* License
  - Well, actually it should be "GPLv3+ with exceptions", sorry.

* Local copy of system-wide files
  - As rubygem-trollop is packaged seperately, this package
    should not include %geminstdir/lib/trollop.rb .

* %files entry consideration
  - As ditz script is installed under %_bindir (as symlink),
    it is better that the corresponding man file is moved
    to %_mandir/man1 (currently under %geminstdir/man)

  - "INSTALL" file is probably not needed (this type of files
    are usually needed for people to install a software by
    themselves and not needed for people using rpm)

  - "Changelog" "LICENSE" and so on should correctly be
    marked as %doc.

About using virtual Provides:
- This is not specific to ruby or perl. Using virtual Provides
  for (Build)Requires is recommended in many cases, because this
  usage is one of the reasons we add virtual Provides.
  For example:
  - We use "BR: libGL-devel" instead of "BR: mesa-libGL-devel"
  - We use "R: tex(latex)" instead of "R: texlive-latex"

Comment 12 Jan Klepek 2009-10-04 08:20:58 UTC
(In reply to comment #11)
> For -3:
> 
> * License
>   - Well, actually it should be "GPLv3+ with exceptions", sorry.
- fixed

> * Local copy of system-wide files
>   - As rubygem-trollop is packaged seperately, this package
>     should not include %geminstdir/lib/trollop.rb .
- oh, sorry, I must have somehow missed this in first place, fixed

> * %files entry consideration
>   - As ditz script is installed under %_bindir (as symlink),
>     it is better that the corresponding man file is moved
>     to %_mandir/man1 (currently under %geminstdir/man)
- not sure if i got the best solution...
I'm gzipping man page and symlink it to %_mandir/man1, without gzip it create dangling symlink and move of manpage will corrupt gem structure.

>   - "INSTALL" file is probably not needed (this type of files
>     are usually needed for people to install a software by
>     themselves and not needed for people using rpm)
> 
>   - "Changelog" "LICENSE" and so on should correctly be
>     marked as %doc.
- fixed 

Spec URL: http://hpejakle.fedorapeople.org/packages/rubygem-ditz.spec
SRPM URL:
http://hpejakle.fedorapeople.org/packages/rubygem-ditz-0.5-4.fc11.src.rpm

Comment 13 Mamoru TASAKA 2009-10-04 17:44:27 UTC
Well, I still think %{geminstdir}/INSTALL is not needed,
however I will leave it to you where you remove this file
or not.

-------------------------------------------------------------
    This package (rubygem-ditz) is APPROVED by mtasaka
-------------------------------------------------------------

Comment 14 Jan Klepek 2009-10-06 18:51:28 UTC
New Package CVS Request
=======================
Package Name: rubygem-ditz
Short Description: A command-line issue tracker
Owners: hpejakle
Branches: F-10 F-11 F-12 EL-5
InitialCC:

Comment 15 Kevin Fenzi 2009-10-06 21:29:28 UTC
cvs done.

Comment 16 Jan Klepek 2009-10-09 08:38:40 UTC
pushed in fedora


Note You need to log in before you can comment on or make changes to this bug.